(function() 
{   
  var bar = $('.bar');
  var percent = $('.percent');

  var bar1 = $('.bar1');
  var percent1 = $('.percent1');
  var bar2 = $('.bar2');
  var percent2 = $('.percent2');
  var bar3 = $('.bar3');
  var percent3 = $('.percent3');
  var status = $('#status');
  var status2 = $('#status2');
  var status3 = $('#status3');
  
  
  $('#formEnviarSilabus').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar1.width(percentVal);
          percent1.html(percentVal);
          $('#bt_enviar_silabus').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar1.width(percentVal);
          percent1.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar1.width(percentVal);
          percent1.html(percentVal);
          $('#bt_enviar_silabus').attr("disabled", false);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Silabus Enviado...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar archivo...");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: Peso del archivo debe ser menor a 600 Kb.</br> y/o Tipo de archivo debe ser un pdf.  ");
      }
      //status.html(xhr.responseText);
    }

  });    
  

$('#formEnviarProgCurricular').ajaxForm({
      beforeSend: function() {
          status2.empty();
          var percentVal = '0%';
          bar2.width(percentVal)
          percent2.html(percentVal);
          $('#bt_enviar_prog').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar2.width(percentVal)
          percent2.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar2.width(percentVal)
          percent2.html(percentVal);
          $('#bt_enviar_prog').attr("disabled", false);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status2.html("Prog. Curricular Enviado...");
      }
      if(xhr.responseText==2)
      {
         status2.html("Error: al enviar archivo...");
      }
      if(xhr.responseText==3)
      {
         status2.html("Error: Peso del archivo debe ser menor a 300 Kb.</br> y/o Tipo de archivo debe ser un pdf.  ");
      }
      //status.html(xhr.responseText);
    }

  });

$('#formAdjuntarMaterialLectura').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_enviar_material').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal); 
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_enviar_material').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("material lectura enviado...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar material lectura...");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: peso del material lecura debe ser menor a 3 Mb.</br> y/o Tipo de material debe ser un pdf.  ");
      }
      status.html(xhr.responseText);
    }

  });

$('#formAdjuntarFotografia').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_actualizar_fotografia').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_actualizar_fotografia').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Fotograf&#237;a actualizada...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar fotograf&#237;a.");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: En redimensionar imagen..");
      }
     // status.html(xhr.responseText);
    }

  });

$('#formRegistroAuxiliar').ajaxForm({
      beforeSend: function() {
          status3.empty();
          var percentVal = '0%';
          bar3.width(percentVal)
          percent3.html(percentVal);
          $('#bt_enviar_registro').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar3.width(percentVal)
          percent3.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar3.width(percentVal)
          percent3.html(percentVal);
          $('#bt_enviar_registro').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status3.html("Registro Auxiliar enviado...");
      }
      if(xhr.responseText==2)
      {
         status3.html("Error: al enviar Registro Auxiliar.");
      }
      if(xhr.responseText==3)
      {
         status3.html("Error: tama&#241;o incorrecto.  ");
      }  
    }

  });

$('#formEnviarSesionAprendizaje').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_enviar_sesion').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_enviar_sesion').attr("disabled", false);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Ficha de Sesi&#243;n Aprendizaje enviado...");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar archivo...");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: Peso del archivo debe ser menor a 500 Kb. y/o Tipo de archivo debe ser pdf.");
         var percentVal = '0%';
         bar.width(percentVal)
         percent.html(percentVal);
      }
      if(xhr.responseText==4)
      {
         status.html("Error: las sesiones de aprendizaje son uno por cada semana acad&#233;mica.");
         var percentVal = '0%';
         bar.width(percentVal)
         percent.html(percentVal);
      }
      //status.html(xhr.responseText);
    }

  });

$('#formAdjuntarFotoPortada').ajaxForm({
      beforeSend: function() {
          status.empty();
          var percentVal = '0%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_actualizar').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar.width(percentVal)
          percent.html(percentVal);
          $('#bt_actualizar').attr("disabled", true);
      },
    complete: function(xhr) {
      if(xhr.responseText==1)
      {
         status.html("Imagen de portada actualizado.");
      }
      if(xhr.responseText==2)
      {
         status.html("Error: al enviar imagen.");
      }
      if(xhr.responseText==3)
      {
         status.html("Error: al redimensionar imagen.");
      }
     // status.html(xhr.responseText);
    }

  });

$('#formAdjuntarFotoGaleria').ajaxForm({
      beforeSend: function() {
          status2.empty();
          var percentVal = '0%';
          bar2.width(percentVal)
          percent.html(percentVal);
          $('#bt_subir').attr("disabled", true);
      },
      uploadProgress: function(event, position, total, percentComplete) {
          var percentVal = percentComplete + '%';
          bar2.width(percentVal)
          percent.html(percentVal);
      },
      success: function() {
          var percentVal = '100%';
          bar2.width(percentVal)
          percent.html(percentVal);
          $('#bt_subir').attr("disabled", true);
      },
    complete: function(xhr) {
          
          if(xhr.responseText==1)
          {
             status2.html("Imagen enviado...");
             listarGaleriaImagenes($("#IdNot2").val());
             $('#bt_subir').attr("disabled", false);
             $('#formAdjuntarFotoGaleria')[0].reset();
          }
          if(xhr.responseText==2)
          {
             status2.html("Error: No se pudo enviar imagen.");
          }
          if(xhr.responseText==3)
          {
             status2.html("Error: Redimensionar imagen.");
          }
          if(xhr.responseText==4)
          {
             status2.html("Error: Seleccione una imagen.");
          }
      }

  });


})();       